Description

As a mod creator
| want to be able to set Patch picture (320x200) as a background for "intermission screen" in Heretic

The goal here is to have an ability to set a Patch background in any Map Info script for any level.

The last version of the main definition is here:
https://github.com/skyjake/Doomsday-Engine/commit/53e66cf4a316637253b4c6d0cf1e04e5bd12a0a3

Example:

Map Info {

ID = "E1M2";

Name = "E1M2: The Dungeons”;

Author = "Raven Software";

Flags = "mif_spawn_all_firemaces";

Gravity = 1;

Intermission background = "Flats:FLOOR12";
Sky height = 0.6;

Sky Layer 1 {

Flags = "sIf_enable";

Texture = "SKY1";

13
}

Currently | can confirm that only "Flats" are relevant and working properly:
Intermission background = "Flats:XXX";

Any other attributes, like "Patches" result in black background, despite that selected Patch picture is existed in the wad.
| still assume if Patch background is used in Doom, it could be transported the same way for Heretic

In case of Doom 1 the picture names that are used for it are:

WIMAPO

WIMAP1
WIMAP2

Associated revisions

Revision d64f14e4 - 2020-05-31 10:44 - skyjake

Heretic|Intermission: Using a patch image as background
The Intermission Background of a Map Info can now be set to a patch in Heretic.

Instead of attempting to solve this at a lower level, the intermission drawing routine now checks whether the defined image is a flat or a patch, and
draws it with bespoke code for the type of resource.
History

#1 - 2020-05-26 15:30 - skyjake
- Category set to Defect

2025-07-10 1/2



https://github.com/skyjake/Doomsday-Engine/commit/53e66cf4a316637253b4c6d0cf1e04e5bd12a0a3

- Status changed from New to In Progress
- Assignee changed from Deng Team to skyjake

- Target version set to 2.3.x

#2 - 2020-05-31 10:40 - skyjake
- Category changed from Defect to Enhancement
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#3 - 2020-12-08 11:26 - skyjake

- Target version changed from 2.3.x to 2.3

#4 - 2020-12-08 11:26 - skyjake

- Status changed from Resolved to Closed
